package main

import (
	"encoding/json"
	"fmt"
	"log"
	"time"

	"github.com/gin-gonic/gin"
)

var tagCounter = make(map[string]*tagcounter)

type tagcounter struct {
	Name      string
	LastTime  time.Time
	CountWord map[string]int
}

func init() {

}

func CountTag(cxt *gin.Context) {
	platform := cxt.Query("platform")
	var cw *tagcounter
	if cw, ok := tagCounter[platform]; ok {
		if time.Now().Sub(cw.LastTime).Minutes() <= 10 {
			cxt.JSON(200, cw.CountWord)
			return
		}
	}

	sql := fmt.Sprintf(SqlTag, platform)
	rows, err := StoreStreamer.Query(sql)
	if err != nil {
		cxt.Error(err)
		return
	}

	cw = &tagcounter{}
	cw.CountWord = make(map[string]int)
	cw.Name = platform
	cw.LastTime = time.Now()
	tagCounter[platform] = cw

	for rows.Next() {
		var stag string
		err = rows.Scan(&stag)
		if err != nil {
			log.Println(err)
		}
		var tag []string
		json.Unmarshal([]byte(stag), &tag)
		for _, t := range tag {
			if _, ok := cw.CountWord[t]; ok {
				cw.CountWord[t]++
			} else {
				cw.CountWord[t] = 1
			}
		}
	}
	cxt.JSON(200, cw.CountWord)
	cw.LastTime = time.Now()
}
